package com.example.mohmou.localechoclient;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final EditText echoText = (EditText) findViewById(R.id.echoText);

        final Button submitButton = (Button) findViewById(R.id.submit);

/*
        submitButton.setOnClickListener(new View.OnClickListener() {
                                            @Override
                                            public void onClick(View v) {
                                                String text = echoText.getText().toString();
                                                Toast.makeText(MainActivity.this, text, Toast.LENGTH_LONG).show();
                                            }
                                        }

        );

  */
        final Intent intent = new  Intent(this, EchoedActivity.class);
/*
        echoText.setOnKeyListener(new View.OnKeyListener() {
            @Override
            public boolean onKey(View v,
                                 int keyCode, KeyEvent event) {
                if ((event.getAction() == KeyEvent.ACTION_DOWN) &&
                        (keyCode == KeyEvent.KEYCODE_ENTER)) {

                    Toast.makeText(MainActivity.this, echoText.getText().toString(), Toast.LENGTH_SHORT).show();
                    return true;

                }
                return false;
            }
        });
*/

        submitButton.setOnClickListener(new View.OnClickListener() {
                                            @Override
                                            public void onClick(View v) {
                                                String text = echoText.getText().toString();
                                                intent.putExtra("MSG", text);
                                                Toast.makeText(MainActivity.this, text, Toast.LENGTH_LONG).show();
                                                finish();
                                                startActivity(intent);
                                            }
                                        }

        );

    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
